Groovy 1.7.10

## org.codehaus.groovy.reflection.stdclasses
[Java] Class ArrayCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.ArrayCachedClass

    public class ArrayCachedClass
    extends CachedClass

Authors:
  Alex.Tkachman

Field Summary

Fields inherited from class CachedClass
EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods

Constructor Summary
`ArrayCachedClass(Class klazz, ClassInfo classInfo)`

Method Summary
`Object` | `coerceArgument(Object argument)`

Methods inherited from class CachedClass

addNewMopMethods, coerceArgument, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ArrayCachedClass

    public ArrayCachedClass(Class klazz, ClassInfo classInfo)

Method Detail

### coerceArgument

    public Object coerceArgument(Object argument)

Copyright © 2003-2010 The Codehaus. All rights reserved.